Subject: Re: [dnssd] Next steps for privacy discovery

From: Lanlan Pan <[email-masked]>
Date: Mon, 3 Dec 2018 11:25:28 +0700

Christian Huitema <[email-masked]>于2018年10月30日周二 上午1:21写道：

>
>
> On 10/28/2018 6:48 PM, Lanlan Pan wrote:
>
> Christian Huitema <[email-masked]>于2018年10月26日周五 下午3:09写道：
>
> ...
>
>
>>
>> 4) If we kept the current "two phase" structure, use a TLS protocol
>> extension to demonstrate knowledge of the server's public key in the
>> client hello. I think we can build on the work done for SNI encryption,
>> which would fit quite well.
>>
>
> I wonder if we could consider about use tls psk (pre-shared key) ?
> server can assign different key to different client.
>
>
> That's what we were specifying in the current privacy draft. There are two
> issues. The first one is that if you use TLS-PSK, the Client Hello must
> include a key identifier. If there is a different key for each client, the
> key identifier could become a client identifier. We solved that  by using a
> "predictable nonce" for key identifier.
>
Thanks christian, I get it.

> The second issue is of course that assigning different keys to different
> clients requires extra management at the server, something that is not
> needed in the "private public key" class of solutions.
>
Will the "private public key"  be refresh in period ? How can the clients
get the key ?

> -- Christian Huitema
-- 
致礼  Best Regards

潘蓝兰  Pan Lanlan